NSX-T Data Center REST API

Retrieve matching host key algorithm for the ssh fingerprint provided

Retrieve matching host key algorithm for a given remote server , port and ssh fingerprint.

Request:

Method:
POST
URI Path(s):
/api/v1/transport-nodes/{transport-node-id}/node/file-store?action=retrieve_matching_host_key_algorithm
/api/v1/cluster/{cluster-node-id}/node/file-store?action=retrieve_matching_host_key_algorithm
/api/v1/node/file-store?action=retrieve_matching_host_key_algorithm
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
RetrieveMatchingHostKeyAlgorithmProperties+

Example Request:

POST https://<nsx-mgr>/api/v1/node/file-store?action=retrieve_matching_host_key_algorithm { "port" : 22, "server": "192.168.120.151", "ssh_fingerprint" : "SHA256:jSrMueJSm+g4SYVAeOM6Qs1O1ZC2VaWTlw1cFm35iAM" }

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
RetrieveMatchingHostKeyAlgorithmProperties+

Example Response:

{ "port" : 22, "server": "192.168.120.151", "ssh_fingerprint" : "SHA256:jSrMueJSm+g4SYVAeOM6Qs1O1ZC2VaWTlw1cFm35iAM", "matching_host_key_algorithm" : "ECDSA" }

Required Permissions:

read

Feature:

system_administration

Additional Errors: